gvSIG CE and SEXTANTE GIS Bug Tracker on MantisBT
Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000315gvSIG Community EditionMap layout and publicationpublic2012-09-17 08:552013-04-04 20:06
Reporterboossi 
Assigned Tovicgonco 
PrioritynormalSeverityfeatureReproducibilityhave not tried
StatusresolvedResolutionreopened 
Platformwindows_x86_64OSWindows 64 bitOS VersionXP/Vista/7
Product VersiongvSIG CE TP 
Target VersiongvSIG CE 1.0.0Fixed in Version 
Summary0000315: Export map layouts to raster formats
DescriptionAdd feature to export maps to raster formats (PNG, TIFF, JPEG), in addition to PDF and PS export. The user must be able to specify the number of horizontal pixels or the horizontal DPI.
Additional InformationEvery map layout in gvSIG starts out with a default page size. If the user specifies the DPI for the raster output, then it would be possible to calculate the horizontal pixel number (and the vertical number based on the ratio).
TagsNo tags attached.
Attached Fileszip file icon johannes-tests.zip [^] (512,198 bytes) 2013-03-22 12:27

- Relationships

-  Notes
(0000179)
fergonco (administrator)
2012-10-26 13:23

Hi, it is possible to implement this functionality.

The export functionality should ask the user for the size of the exported image and it is responsibility of the user to choose a size big enough to have the desired quality when embedded in other of documents.

For example, if the map is going to be embedded in a document inside a box of 2'' x 2'', the export image should be 600x600 pixels in order to have a quality of 300dpi (dots per inch).
(0000209)
vicgonco (administrator)
2013-03-13 09:03

The code can be reviewed here:

http://sourceforge.net/p/gvsigce/code/904 [^]

And it can be tested by overwriting some files from the com.iver.cit.gvsig plugin (<gvsig>/bin/gvSIG/extensiones/com.iver.cit.gvsig) with the contents of the following package:

http://dl.dropbox.com/u/62764853/com.iver.cit.gvsig.zip [^]
(0000210)
vicgonco (administrator)
2013-03-20 11:32

I made some minor corrections for this.

Code: http://sourceforge.net/p/gvsigce/code/909 [^]
Testing package: http://dl.dropbox.com/u/62764853/com.iver.cit.gvsig.zip [^]
(0000211)
vicgonco (administrator)
2013-03-22 12:42

I corrected some problems with exporting views and added the possibility to specify the JPEG compression and export with transparency (for TIFF and PNG).

Code:
http://sourceforge.net/p/gvsigce/code/915 [^]
http://sourceforge.net/p/gvsigce/code/918 [^]
http://sourceforge.net/p/gvsigce/code/919 [^]
http://sourceforge.net/p/gvsigce/code/921 [^]

Testing package:

http://dl.dropbox.com/u/62764853/com.iver.cit.gvsig.zip [^]

- Issue History
Date Modified Username Field Change
2012-09-17 08:55 boossi New Issue
2012-10-17 10:25 josecanalejo Target Version => gvSIG CE 1.0.0
2012-10-26 13:23 fergonco Note Added: 0000179
2013-01-25 10:13 josecanalejo Assigned To => fergonco
2013-01-25 10:13 josecanalejo Status new => assigned
2013-01-27 20:01 benducke Status assigned => resolved
2013-01-27 20:01 benducke Resolution open => won't fix
2013-02-04 20:45 benducke Status resolved => feedback
2013-02-04 20:45 benducke Resolution won't fix => reopened
2013-02-04 20:53 benducke Summary Map Export in raster formats => Export map layouts to raster formats
2013-02-04 20:53 benducke Description Updated View Revisions
2013-02-04 20:53 benducke Additional Information Updated View Revisions
2013-02-23 10:21 josecanalejo Status feedback => assigned
2013-03-13 09:02 vicgonco Note Added: 0000208
2013-03-13 09:03 vicgonco Note Deleted: 0000208
2013-03-13 09:03 vicgonco Note Added: 0000209
2013-03-13 09:03 vicgonco Status assigned => resolved
2013-03-13 09:03 vicgonco Resolution reopened => fixed
2013-03-13 09:03 vicgonco Assigned To fergonco => vicgonco
2013-03-20 11:32 vicgonco Note Added: 0000210
2013-03-22 12:27 vicgonco File Added: johannes-tests.zip
2013-03-22 12:42 vicgonco Note Added: 0000211
2013-03-22 12:42 vicgonco Status resolved => feedback
2013-03-22 12:42 vicgonco Resolution fixed => reopened
2013-04-04 20:06 josecanalejo Status feedback => resolved


Copyright © 2000 - 2011 MantisBT Group
Hosted by Sourceforge.netPowered by Mantis Bugtracker